| The Gaudi Framework v32r1 (f65d50dc)

Public Types | Public Member Functions | List of all members
IAlgExecStateSvc Class Referenceabstract

Abstract interface for a service that manages the Algorithm execution states. More...

`#include <GaudiKernel/IAlgExecStateSvc.h>`

Inheritance diagram for IAlgExecStateSvc:
[legend]
Collaboration diagram for IAlgExecStateSvc:
[legend]

## Public Types
typedef std::map< Gaudi::StringKey, AlgExecState > | AlgStateMap_t
Public Types inherited from IInterface
enum | Status : StatusCode::code_t { Status::FAILURE = 0, Status::SUCCESS = 1, Status::NO_INTERFACE, Status::VERSMISMATCH, Status::LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...

## Public Member Functions
| DeclareInterfaceID (IAlgExecStateSvc, 1, 0)
| InterfaceID. More...
virtual const AlgExecState & | algExecState (const Gaudi::StringKey &algName, const EventContext &ctx) const =0
const AlgExecState & | algExecState (IAlgorithm *iAlg, const EventContext &ctx) const
virtual AlgExecState & | algExecState (IAlgorithm *iAlg, const EventContext &ctx)=0
virtual const AlgStateMap_t & | algExecStates (const EventContext &ctx) const =0
virtual void | reset (const EventContext &ctx)=0
virtual void | addAlg (const Gaudi::StringKey &algName)=0
void | addAlg (IAlgorithm *iAlg)
virtual const EventStatus::Status & | eventStatus (const EventContext &ctx) const =0
virtual void | setEventStatus (const EventStatus::Status &sc, const EventContext &ctx)=0
virtual void | updateEventStatus (const bool &b, const EventContext &ctx)=0
virtual unsigned int | algErrorCount (const IAlgorithm *iAlg) const =0
virtual void | resetErrorCount (const IAlgorithm *iAlg)=0
virtual unsigned int | incrementErrorCount (const IAlgorithm *iAlg)=0
virtual void | dump (std::ostringstream &ost, const EventContext &ctx) const =0
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

Abstract interface for a service that manages the Algorithm execution states.

Author
  Charles Leggett

Date
  2016-04-12

Definition at line 70 of file IAlgExecStateSvc.h.

## Member Typedef Documentation

## ◆ AlgStateMap_t

typedef std::map<Gaudi::StringKey, AlgExecState> IAlgExecStateSvc::AlgStateMap_t

Definition at line 75 of file IAlgExecStateSvc.h.

## Member Function Documentation

## ◆ addAlg() [1/2]

virtual void IAlgExecStateSvc::addAlg | ( | const Gaudi::StringKey & | algName | ) |
| pure virtual

## ◆ addAlg() [2/2]

void IAlgExecStateSvc::addAlg | ( | IAlgorithm * | iAlg | ) |
| inline

Definition at line 90 of file IAlgExecStateSvc.h.

90 { addAlg( iAlg->nameKey() ); }
IAlgorithm::nameKey
virtual const Gaudi::StringKey & nameKey() const =0
StringKey rep of name.
IAlgExecStateSvc::addAlg
virtual void addAlg(const Gaudi::StringKey &algName)=0

## ◆ algErrorCount()

virtual unsigned int IAlgExecStateSvc::algErrorCount | ( | const IAlgorithm * | iAlg | ) | const
| pure virtual

## ◆ algExecState() [1/3]

virtual const AlgExecState& IAlgExecStateSvc::algExecState | ( | const Gaudi::StringKey & | algName,
|  | const EventContext & | ctx
| ) |  | const
| pure virtual

## ◆ algExecState() [2/3]

const AlgExecState& IAlgExecStateSvc::algExecState | ( | IAlgorithm * | iAlg,
|  | const EventContext & | ctx
| ) |  | const
| inline

Definition at line 79 of file IAlgExecStateSvc.h.

79 {
80 return algExecState( iAlg->nameKey(), ctx );
81 }
IAlgExecStateSvc::algExecState
virtual const AlgExecState & algExecState(const Gaudi::StringKey &algName, const EventContext &ctx) const =0
IAlgorithm::nameKey
virtual const Gaudi::StringKey & nameKey() const =0
StringKey rep of name.

## ◆ algExecState() [3/3]

virtual AlgExecState& IAlgExecStateSvc::algExecState | ( | IAlgorithm * | iAlg,
|  | const EventContext & | ctx
| ) |  |
| pure virtual

## ◆ algExecStates()

virtual const AlgStateMap_t& IAlgExecStateSvc::algExecStates | ( | const EventContext & | ctx | ) | const
| pure virtual

## ◆ DeclareInterfaceID()

IAlgExecStateSvc::DeclareInterfaceID | ( | IAlgExecStateSvc | ,
|  | 1 | ,
|  | 0 |
| ) |  |

InterfaceID.

## ◆ dump()

virtual void IAlgExecStateSvc::dump | ( | std::ostringstream & | ost,
|  | const EventContext & | ctx
| ) |  | const
| pure virtual

## ◆ eventStatus()

virtual const EventStatus::Status& IAlgExecStateSvc::eventStatus | ( | const EventContext & | ctx | ) | const
| pure virtual

## ◆ incrementErrorCount()

virtual unsigned int IAlgExecStateSvc::incrementErrorCount | ( | const IAlgorithm * | iAlg | ) |
| pure virtual

## ◆ reset()

virtual void IAlgExecStateSvc::reset | ( | const EventContext & | ctx | ) |
| pure virtual

## ◆ resetErrorCount()

virtual void IAlgExecStateSvc::resetErrorCount | ( | const IAlgorithm * | iAlg | ) |
| pure virtual

## ◆ setEventStatus()

virtual void IAlgExecStateSvc::setEventStatus | ( | const EventStatus::Status & | sc,
|  | const EventContext & | ctx
| ) |  |
| pure virtual

## ◆ updateEventStatus()

virtual void IAlgExecStateSvc::updateEventStatus | ( | const bool & | b,
|  | const EventContext & | ctx
| ) |  |
| pure virtual

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IAlgExecStateSvc.h